Subject: Re: linux-next: kvm tree build failure

From: Boaz Harrosh <[email-masked]>
Date: Thu, 21 May 2009 10:37:03 +0300

On 05/21/2009 10:32 AM, Avi Kivity wrote:
> Stephen Rothwell wrote:
>> Hi Avi,
>>
>> Today's linux-next build (powerpc ppc44x_defconfig) failed like this:
>>
>> arch/powerpc/kvm/built-in.o: In function `kvm_destroy_vm':
>> kvm_main.c:(.text+0x2cfc): undefined reference to `kvm_irqfd_release'
>> arch/powerpc/kvm/built-in.o: In function `kvm_vm_ioctl':
>> kvm_main.c:(.text+0x3230): undefined reference to `kvm_irqfd'
>>
>> Caused by commit 302471ec2b5b6f74eba06973fb85e4584d20ef1e ("KVM: irqfd")
>> which I have reverted for today.
>>   
> 
> Sorry about that.  I now have build testing for s390 and ia64, so of 
> course it triggered on ppc.
> 
> I'll look for a ppc machine for build testing.
> 

Can't you cross compile for ppc? I can't remember someone posted a link
with binary cross-compiler packages a while back.

Boaz